Retrieve the data of an appointment form

This API helps you to retrieve the data for tag forms associated to the specified appointment. You must provide an appropriate identifier in the API request for the appointment_id parameter. You also need to specify the required details for three other parameters in the API request. Refer to the Request Parameters table for more information.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Note: Retrieving/updating uploaded files, signatures and annotations are not supported.

Response Details

NameTypeDescription
datastringDetails of the service form.
guest_datastringGuest's details in JSON format.
is_form_submittedbooleanIndicates whether the appointment form has been submitted.
errorobjectObject that contains error code and error message details. For more information, refer to the error Object table.

error Object

codemessage
502Invalid appointment_id.
410Appointment Not Found.
438Cannot access.
4023something went wrong.
Path Params
string
required

Mandatory Unique 32-character identifier of the appointment for which you want to retrieve form data.

Query Params
string
required

Mandatory Unique 32-character identifier of the tag. If you want to retrieve a tag form, you must specify the specific guid of the tag in the API request.

int32
required

Mandatory Currently, this parameter is not functional. You must either pass 0 or an empty string ("") in the request for this API to work. Indicates the type of context from which you want to view the appointment form data. The view_context type can either be organization-level or center-level: 0 - organization and 1 - center.

int32
required

Mandatory Currently, this parameter is not functional. You must either pass 0 or an empty string ("") in the request for this API to work. Indicates the version number of the appointment form. If you pass an integer value for this parameter in the API request, the form data of the specified appointment version will be returned in the API response.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json